Group: Development/Python3
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-simpleaudio
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pypi_name simpleaudio

%global pypi_description The simpleaudio module provides asynchronous, cross-platform, \
dependency-free audio playback capability for Python 3.

Name: python3-module-simpleaudio
Summary: Simple, asynchronous audio playback module for Python 3
License: MIT

Version: 1.0.4
Release: alt4_13

URL: https://github.com/hamiltron/py-simple-audio
Source0: https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: libalsa-devel
BuildRequires: gcc
BuildRequires: python3-devel >= 3.3
BuildRequires: python3-module-pkg_resources python3-module-setuptools
Source44: import.info

%description
%{pypi_description}


%prep
%setup -q -n %{pypi_name}-%{version}



%build
%python3_build


%install
%python3_install


%files -n python3-module-simpleaudio
%doc --no-dereference LICENSE.txt
%{python3_sitelibdir}/%{pypi_name}/
%{python3_sitelibdir}/%{pypi_name}-*.egg-info/


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.0.4-alt4_13
- update to new release by fcimport

* Thu Mar 21 2024 Cronbuild Service <cronbuild@altlinux.org> 1.0.4-alt4_11
- rebuild to get rid of unmets

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.0.4-alt3_11
- update to new release by fcimport

* Thu Aug 24 2023 Cronbuild Service <cronbuild@altlinux.org> 1.0.4-alt3_9
- rebuild to get rid of unmets

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.0.4-alt2_9
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.0.4-alt2_8
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.0.4-alt2_7
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.0.4-alt2_6
- update to new release by fcimport

* Wed Feb 02 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.4-alt2_5
- rebuild to get rid of unmets

* Tue Oct 26 2021 Igor Vlasenko <viy@altlinux.org> 1.0.4-alt1_5
- new version

